PHP 5.6 and 7.0 EOL
Scheduled Maintenance Report for fortrabbit
Completed
So far, we have not seen any unexpected problems with the update. So this is done now. Again: If your App hasn't been updated for a while and is old, chances are that it is broken now as it is incompatible with the newer version of PHP, but that is expected. Please get in contact with us.

So far we see, that almost all PHP 7.0 > PHP 7.1 Apps are still working. The Apps PHP 5.6 > PHP 7.1 have some more trouble.

Thanks to everyone who has updated in time.
Posted 2 months ago. Feb 19, 2019 - 10:37 UTC
Update
So as far as we can see: The update went smooth. All Apps have been updated as planned. Some clients have requested to be on the white-list for the extended grace period. Those should still run on the old PHP versions for another while .

We see that this update broke some of the old Apps who have not received code updates on a regular basis and who's Admins and Owners did not reacted on the mails we have sent upfront. We are currently trying to get in touch with everyone here.

When your App seems to be broken or some part is not working correctly, do not hesitate to contact us in support.
Posted 2 months ago. Feb 19, 2019 - 10:04 UTC
Verifying
We are currently carefully reviewing the situation
Posted 2 months ago. Feb 19, 2019 - 09:59 UTC
Update
PHP 7.0 > PHP 7.1 is in progress and also mostly done already
Posted 2 months ago. Feb 19, 2019 - 09:58 UTC
In progress
PHP 5.6 > PHP 7.1 is already done.
Posted 2 months ago. Feb 19, 2019 - 09:57 UTC
Update
We are planning to start with EU at around 09:00 AM UTC. US will done at around 10:00 AM UTC.
Posted 2 months ago. Feb 18, 2019 - 13:36 UTC
Scheduled
# PHP 5.6 / 7.0 switch off

On Tuesday, February 19th, 2019 the last remaining Apps still running on PHP 5.6 / 7.0 will be force-switched to the PHP 7.1 by us. The exact time for the switch is not clear yet.

You can and should do that update before yourself to assure compatibility. Old code might break with the switch. See our migration guide: https://blog.fortrabbit.com/php-upgrade-path

## Grace period for PHP 5.6 / 7.0 Apps

We are offering an extended grace period for keeping your old PHP 5.6 and PHP 7.0 Apps a little longer around.

The PHP legacy grace period is opt-in! Contact us via support channel and tell us which Apps you like to have included in the grace period. Make sure that we confirm that your Apps will indeed be white-listed.

### Grace period details

This extra time period is granted with no guarantees, "as is". We plan to support the deprecated PHP versions for one more month at least. The final switch off will is planned to happen with the next PHP updates in a few months. We will announce that in our usual communication channels - status.fortrabbit.com. There will be no extra mailings. We reserve the right to do a force-update before, in case serious security issues get revealed during the grace period.
Posted 3 months ago. Jan 31, 2019 - 22:10 UTC